package com.rv.camp.adapter;

import android.widget.ImageView;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.ruiwenliu.wrapper.util.glide.GlideManager;
import com.rv.camp.R;
import com.rv.camp.bean.CampListBean;

/**
 * 营地列表
 */

public class CampListAdapter extends BaseQuickAdapter<CampListBean.DataBeanX.DataBean, BaseViewHolder> {
    public CampListAdapter() {
        super(R.layout.rv_item_camp_list);
    }
    @Override
    protected void convert(BaseViewHolder helper, final CampListBean.DataBeanX.DataBean item) {
        GlideManager.getInstance(mContext).loadRoundImage(item.getLogo(),  (ImageView)helper.getView(R.id.iv_icon),8);
        helper.setText(R.id.tv_type,item.getStoreTypeName());
        helper.setText(R.id.tv_name,item.getName());
        helper.setText(R.id.tv_city,item.getCityName());
    }
}
